> ## Documentation Index
> Fetch the complete documentation index at: https://docs.url2llm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Brand



## OpenAPI

````yaml /openapi-public.json post /v1/brand
openapi: 3.1.0
info:
  title: url2llm
  version: 0.1.0
servers: []
security: []
paths:
  /v1/brand:
    post:
      tags:
        - public
        - brand
      summary: Brand
      operationId: extractBrand
      parameters:
        - in: header
          name: Idempotency-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Idempotency-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_CollectionStatus_'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Service Unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Gateway Timeout
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandRequest:
      additionalProperties: false
      properties:
        domain:
          maxLength: 8192
          minLength: 1
          title: Domain
          type: string
        includeStyleGuide:
          default: false
          title: Includestyleguide
          type: boolean
        timeout:
          default: 120000
          maximum: 180000
          minimum: 1000
          title: Timeout
          type: integer
      required:
        - domain
      title: BrandRequest
      type: object
    APIResponse_CollectionStatus_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/CollectionStatus'
            - type: 'null'
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: true
          title: Success
          type: boolean
      required:
        - success
        - data
        - meta
        - message
        - request_id
      title: APIResponse[CollectionStatus]
      type: object
    ErrorResult:
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: false
          title: Success
          type: boolean
      required:
        - success
        - error
        - request_id
      title: ErrorResult
      type: object
    CollectionStatus:
      properties:
        completed:
          title: Completed
          type: integer
        created_at:
          format: date-time
          title: Created At
          type: string
        credits_used:
          title: Credits Used
          type: integer
        failed:
          title: Failed
          type: integer
        id:
          title: Id
          type: string
        kind:
          enum:
            - crawl
            - batch
            - brand
          title: Kind
          type: string
        pending:
          title: Pending
          type: integer
        reserved_credits:
          title: Reserved Credits
          type: integer
        status:
          enum:
            - queued
            - running
            - completed
            - failed
            - cancelled
          title: Status
          type: string
        total:
          title: Total
          type: integer
        updated_at:
          format: date-time
          title: Updated At
          type: string
        warning:
          anyOf:
            - type: string
            - type: 'null'
          title: Warning
      required:
        - id
        - kind
        - status
        - total
        - completed
        - failed
        - pending
        - credits_used
        - reserved_credits
        - created_at
        - updated_at
        - warning
      title: CollectionStatus
      type: object
    ApiError:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - {}
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
        - details
      title: ApiError
      type: object
  securitySchemes:
    HTTPBearer:
      description: 'Send an active organization API key in the Authorization: Bearer header.'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.